Fix this issue by installing patches packages on centos.
yum -y install patch

On Thu, Feb 1, 2018 at 9:13 PM, Zufar Dhiyaulhaq <zufardhiyaul...@gmail.com>
wrote:

> Hi, i try to install contrail web UI.
> and when i run the instalation tutorial
>
>     make fetch-pkgs-dev make dev-env REPO=webController
>
> I get some error. I this the error is in the fetch_packages in line 92
>
>     Traceback (most recent call last):
>       File "../contrail-webui-third-party/fetch_packages.py", line 354,
> in <module>
>         main(xmlfile)
>       File "../contrail-webui-third-party/fetch_packages.py", line 334,
> in main
>         ProcessPackage(object)
>       File "../contrail-webui-third-party/fetch_packages.py", line 314,
> in ProcessPackage
>         ApplyPatches(pkg)
>       File "../contrail-webui-third-party/fetch_packages.py", line 92, in
> ApplyPatches
>         proc = subprocess.Popen(cmd, stdin = fp)
>       File "/usr/lib64/python2.7/subprocess.py", line 711, in __init__
>         errread, errwrite)
>       File "/usr/lib64/python2.7/subprocess.py", line 1327, in
> _execute_child
>         raise child_exception
>     OSError: [Errno 2] No such file or directory
>     make: *** [fetch-pkgs-dev] Error 1
>
> this is the fungtion that cause the error, anyone know?
>
>     def ApplyPatches(pkg):
>         stree = pkg.find('patches')
>         if stree is None:
>         return
>         for patch in stree.getchildren():
>         cmd = ['patch']
>         if patch.get('strip'):
>             cmd.append('-p')
>             cmd.append(patch.get('strip'))
>         if _OPT_VERBOSE:
>             print "Patching %s <%s..." % (' '.join(cmd), str(patch))
>         if not _OPT_DRY_RUN:
>             fp = open(str(patch), 'r')
>             proc = subprocess.Popen(cmd, stdin = fp)
>             proc.communicate()
>
>
>
_______________________________________________
Users mailing list
Users@lists.opencontrail.org
http://lists.opencontrail.org/mailman/listinfo/users_lists.opencontrail.org

Reply via email to